### Class

# Adw Layout

since: 1.6

#### Description [src]

    final class Adw.Layout : GObject.Object
      implements Gtk.Buildable {
      /* No available fields */
    }

An individual layout in `AdwMultiLayoutView`.

Available since: 1.6

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GtkBuildable

#### Constructors

###### adw_layout_new

Creates a new `AdwLayout` that contains `content`.

since: 1.6

#### Instance methods

###### adw_layout_get_content

Gets the content widget.

since: 1.6

###### adw_layout_get_name

Gets the name of the layout.

since: 1.6

###### adw_layout_set_name

Sets the name of the layout.

since: 1.6

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GtkBuildable (1)

###### gtk_buildable_get_buildable_id

Gets the ID of the `buildable` object.

#### Properties

###### Adw.Layout:content

The content widget.

since: 1.6

###### Adw.Layout:name

The name of the layout.

since: 1.6

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AdwLayoutClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.